...
 
Commits (3)
......@@ -3,7 +3,9 @@ python-stetl (1.1+ds-3) UNRELEASED; urgency=medium
* Update copyright-format URL to use HTTPS.
* Fix deprecated source override location.
* Update Vcs-* URLs for Salsa.
* Bump Standards-Version to 4.1.3, no changes.
* Bump Standards-Version to 4.1.4, no changes.
* Add module import tests to autopkgtest configuration.
* Add override for dependency-on-python-version-marked-for-end-of-life.
-- Bas Couwenberg <sebastic@debian.org> Sun, 21 Jan 2018 10:42:54 +0100
......
......@@ -23,7 +23,7 @@ Build-Depends: debhelper (>= 9),
docbook-xsl,
docbook-xml,
xsltproc
Standards-Version: 4.1.3
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-stetl
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-stetl.git
Homepage: http://stetl.org/
......
# Python 3 is not supported yet: https://github.com/geopython/stetl/issues/23
stetl: dependency-on-python-version-marked-for-end-of-life (Depends: python)
# Test installability
Depends: @
Test-Command: /bin/true
# Test module import (Python 2)
Depends: python-all, python-stetl
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import stetl; print(stetl)" ; done